> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> Learn how to paginate through list responses

When an API response returns a list of objects, no matter the amount, pagination is supported. In paginated responses, objects are nested in a `data` property and have a `has_more` property that indicates whether you have reached the end of the last page. You can use the `starting_after` and `ending_before` query parameters to browse pages.

## Pagination Parameters

<ParamField query="limit" type="integer">
  Number of objects to return. Maximum of 100.
</ParamField>

<ParamField query="starting_after" type="string">
  Cursor for use in pagination. Return the next page starting after this object ID.
</ParamField>

<ParamField query="ending_before" type="string">
  Cursor for use in pagination. Return the previous page ending before this object ID.
</ParamField>

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl https://api.decisionly.com/v2/issuer/cases \
    -u test_d0019b48d05849a6: \
    -d starting_after="case_1MtJUT2eZvKYlo2CNaw2HvEv" \
    -d limit=10
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "has_more": false,
  "data": [
    {
      "case_id": "case_b9d08d1a84f84b28b942b05f",
      // ...
    },
    {
      "case_id": "case_652654a457d9423aae0e495a",
      // ...
    },
    {
      "case_id": "case_d177a2a647ae4299abc2a320",
      // ...
    }
  ]
}
```
